set size 0.6,0.80
set style data lines
set term pslatex solid color norotate
set key at 1.8, 0.9 spacing 2

set lmargin 3
set rmargin 1
set bmargin 1
set tmargin 1

p=2.79038; a1=0.609725; a2=0.961619; a3=0.366649; a4=0.135;
f1(x) = (1.+(p-a1)*x)*exp(-p*x)/(1. - a1*x + a2*x**2 - a3*x**3 + a4*x**4)

A=1.85885; q=3.90852; r=1.47784; b2=1.09622; b3=0.0821155; b4=0.128119;
f2(x) = (1.0 + (q-A)*x + r*x**2)*exp(-q*x)/(1.0 + b2*x**2 + b3*x**3 + b4*x**4)

xmin=0.0; xmax=2.0; dx = xmax-xmin; set xtics 0,dx/4
set xra [xmin:xmax]

ymin=0.0; ymax=1.0; dy = ymax-ymin; set ytics 0,dy/5
set yra [ymin:ymax]

c1 = 0.1; c2=0.06
set label 1 '$\ell$'  at 1.7, ymin+c2*dy

dir = 'Data/'
set out 'Src_5.tex'
plot dir.'S_L=128000' u 1:2 w p pt 7 lc rgb "red"  t 'Samples of $S_{\tt s}(\ell)$'  ,\
     dir.'S_L=128000' u 1:3 w p pt 5 lc rgb "blue" t 'Samples of $S_{\tt d}(\ell)$'  ,\
      f1(x) w l lt 3 lw 3.0              t '$S_{\tt s}^{\tt (appr)}(\ell)$',\
      f2(x) w l lt 1 lw 1.5              t '$S_{\tt d}^{\tt (appr)}(\ell)$'

exit
