set size 0.60,0.60
set style data lines
set term pslatex solid color norotate

set lmargin 3
set rmargin 1
set bmargin 1
set tmargin 1

set key at 0.23,0.021

xmin=0.0; xmax=0.40; dx = xmax-xmin; set xtics 0,dx/4
set xra [xmin:xmax]

ymin=0.0; ymax=0.022; dy = ymax-ymin; set ytics 0.0,0.01
set yra [ymin:ymax]

set label 1 '$e$'            at xmax-0.10*dx, ymin + 0.03*dy
set label 2 '${\mathcal D}$' at xmin+0.02*dx, ymax - 0.2*dy

set out 'Src_9.tex'
dir = 'Data/'
plot dir.'D_e_p=0_kappa=0.05_N=150' every 10 w lp pt 7 t '$\kappa=0.05$' ,\
     dir.'D_e_p=0_kappa=0.10_N=150' every 10 w lp pt 7 t '$\kappa=0.10$' ,\
     dir.'D_e_p=0_kappa=0.15_N=150' every 10 w lp pt 7 t '$\kappa=0.15$' ,\
     dir.'D_e_p=0_kappa=0.20_N=150' every 10 w lp pt 7 t '$\kappa=0.20$' ,\
     dir.'D_e_p=0_kappa=0.25_N=150' every 10 w lp pt 7 t '$\kappa=0.25$'

exit
