pure subroutine make_Fb(p, e, za, zb, Fb)
  use blocks
  implicit none
  real*8, intent(in)  :: p, e 
  real*8, intent(in)  :: za(1:N), zb(1:N)
  real*8, intent(out) :: Fb(1:N)

  integer*4           :: i, j, sgn
  real*8              :: xba, xbb, zba, Ss, Sd, sr
  real*8              :: sum_em, sum_el

  INTERFACE

     pure subroutine make_Ss(x,Ss)
       use blocks
       real*8, intent(in)  :: x
       real*8, intent(out) :: Ss
     end subroutine make_Ss

     pure subroutine make_Sd(x,Sd)
       use blocks
       real*8, intent(in)  :: x
       real*8, intent(out) :: Sd
     end subroutine make_Sd

  END INTERFACE

  i_loop: do i=1,N

     sum_em = rz
     sum_el = rz

     j_loop: do j=1,N
        if(j .eq. i) cycle j_loop
        sgn = (-1)**(j-i)
        if(j .gt. i) sgn=-sgn
        xbb = dabs(zb(i) - zb(j))
        call make_Ss(xbb, Ss)
        xba = dabs(zb(i) - za(j))
        call make_Sd(xba, Sd)
        sum_em = sum_em + sgn*(Ss/(xbb*xbb) + pi*Sd) 
     end do j_loop

     zba = zb(i) - za(i)
     xba = dabs(zba)
     if(xba .gt. tiny) then
        call make_Sd(xba, Sd)
        sr = dsqrt(ru + xba*xba)
        if(zba .gt. rz) then
           sum_em = sum_em - pi   * (ru-Sd)
           sum_el = sum_el - four * (sr-ru)*xba / sr
        else
           sum_em = sum_em + pi   * (ru-Sd)
           sum_el = sum_el + four * (sr-ru)*xba / sr
        end if
     end if

     sum_em = sum_em + sb(i)*e
         
     Fb(i) = kappa*sum_em + sum_el     ! kappa = q*q / k * h^3

  end do i_loop

  Fb(1) = Fb(1) + p
  Fb(N) = Fb(N) - p

  return
end subroutine make_Fb
